Bug 1566485 - library-without-ldconfig errors on Fedora28+
Summary: library-without-ldconfig errors on Fedora28+
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1380878
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 12:18 UTC by Mark Wielaard
Modified: 2018-11-27 15:04 UTC (History)
6 users (show)

Fixed In Version: rpmlint-1.10-11.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 15:04:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Wielaard 2018-04-12 12:18:07 UTC
Fedora rpm specs don't have explicit ldconfig %post and %postun sections anymore since: https://fedoraproject.org/wiki/Changes/Removing_ldconfig_scriptlets

But rpmlint still generates an error if they are missing.

Examples:
https://taskotron.fedoraproject.org/artifacts/all/404f65a2-3d8c-11e8-8f12-525400fc9f92/tests.yml/libgpg-error-1.29-1.fc28.log

libgpg-error.armv7hl: E: library-without-ldconfig-postin /usr/lib/libgpg-error.so.0.24.0
libgpg-error.armv7hl: E: library-without-ldconfig-postun /usr/lib/libgpg-error.so.0.24.0

libgpg-error.x86_64: E: library-without-ldconfig-postin /usr/lib64/libgpg-error.so.0.24.0
libgpg-error.x86_64: E: library-without-ldconfig-postun /usr/lib64/libgpg-error.so.0.24.0

https://taskotron.fedoraproject.org/artifacts/all/644b410e-3d6b-11e8-8f12-525400fc9f92/tests.yml/elfutils-0.170-11.fc28.log

elfutils-libelf.armv7hl: E: library-without-ldconfig-postin /usr/lib/libelf-0.170.so
elfutils-libelf.armv7hl: E: library-without-ldconfig-postun /usr/lib/libelf-0.170.so

elfutils-libelf.x86_64: E: library-without-ldconfig-postin /usr/lib64/libelf-0.170.so
elfutils-libelf.x86_64: E: library-without-ldconfig-postun /usr/lib64/libelf-0.170.so

elfutils-libs.armv7hl: E: library-without-ldconfig-postin /usr/lib/libasm-0.170.so
elfutils-libs.armv7hl: E: library-without-ldconfig-postun /usr/lib/libasm-0.170.so
elfutils-libs.armv7hl: E: library-without-ldconfig-postin /usr/lib/libdw-0.170.so
elfutils-libs.armv7hl: E: library-without-ldconfig-postun /usr/lib/libdw-0.170.so

elfutils-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/libasm-0.170.so
elfutils-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/libasm-0.170.so
elfutils-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdw-0.170.so
elfutils-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdw-0.170.so

Comment 1 Fedora Update System 2018-04-17 20:26:41 UTC
rpmlint-1.10-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b53e79e66

Comment 2 Fedora Update System 2018-04-18 16:20:17 UTC
rpmlint-1.10-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b53e79e66

Comment 3 Fedora Update System 2018-04-27 04:06:00 UTC
rpmlint-1.10-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Petr Pisar 2018-06-28 09:50:05 UTC
Please port this change to F27 as it affects Fedora's Taskotron results <https://pagure.io/taskotron/task-rpmlint/issue/19>.

Comment 5 Ben Cotton 2018-11-27 14:53:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.